using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("充值订单")]
    public class T_OP_RECHARGE_ORDER : MesEntityBase
    {
        [CUnique]
        [Description("订单编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string CODE { get; set; }

        [Description("充值卡ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_RechargeCard")]
        public Guid RECHARGE_CARD_ID { get; set; }

        [Description("充值金额")]
        [FormFieldTable]
        [FormFieldEdit]
        public decimal AMOUNT { get; set; }

        [Description("时间")]
        [FormFieldTable]
        [FormFieldEdit]
        public DateTime TIME { get; set; }


        [Description("订单状态")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("OPRechargeOrderStatus")]
        public int ORDER_STATUS { get; set; }

        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldLength(200)]
        public string REMARK { get; set; }

        [Description("导航属性： 充值卡表")]
        public virtual T_OP_RECHARGE_CARD Nav_RechargeCard { get; set; }

    }
}
